Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class PaymentTypeInformationSDD

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.PaymentTypeInformationSDD

    public class PaymentTypeInformationSDD
    extends java.lang.Object

Java class for PaymentTypeInformationSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentTypeInformationSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SvcLvl" type="{urn:swift:xsd:$pain.008.002.01}ServiceLevelSDD"/>
             <element name="LclInstrm" type="{urn:swift:xsd:$pain.008.002.01}LocalInstrumentSDD"/>
             <element name="SeqTp" type="{urn:swift:xsd:$pain.008.002.01}SequenceType1Code"/>
             <element name="CtgyPurp" type="{urn:swift:xsd:$pain.008.002.01}PaymentCategoryPurpose1Code" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PaymentCategoryPurpose1Code` `ctgyPurp`
`protected LocalInstrumentSDD` `lclInstrm`
`protected SequenceType1Code` `seqTp`
`protected ServiceLevelSDD` `svcLvl`

### Constructor Summary

Constructors
`PaymentTypeInformationSDD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PaymentCategoryPurpose1Code` `getCtgyPurp()` Gets the value of the ctgyPurp property.
`LocalInstrumentSDD` `getLclInstrm()` Gets the value of the lclInstrm property.
`SequenceType1Code` `getSeqTp()` Gets the value of the seqTp property.
`ServiceLevelSDD` `getSvcLvl()` Gets the value of the svcLvl property.
`void` `setCtgyPurp​(PaymentCategoryPurpose1Code value)` Sets the value of the ctgyPurp property.
`void` `setLclInstrm​(LocalInstrumentSDD value)` Sets the value of the lclInstrm property.
`void` `setSeqTp​(SequenceType1Code value)` Sets the value of the seqTp property.
`void` `setSvcLvl​(ServiceLevelSDD value)` Sets the value of the svcLvl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### svcLvl

    protected ServiceLevelSDD svcLvl

#### lclInstrm

    protected LocalInstrumentSDD lclInstrm

#### seqTp

    protected SequenceType1Code seqTp

#### ctgyPurp

    protected PaymentCategoryPurpose1Code ctgyPurp

### Constructor Detail

#### PaymentTypeInformationSDD

    public PaymentTypeInformationSDD()

### Method Detail

#### getSvcLvl

    public ServiceLevelSDD getSvcLvl()

Gets the value of the svcLvl property.

Returns:
  possible object is `ServiceLevelSDD`

#### setSvcLvl

    public void setSvcLvl​(ServiceLevelSDD value)

Sets the value of the svcLvl property.

Parameters:
  `value` - allowed object is `ServiceLevelSDD`

#### getLclInstrm

    public LocalInstrumentSDD getLclInstrm()

Gets the value of the lclInstrm property.

Returns:
  possible object is `LocalInstrumentSDD`

#### setLclInstrm

    public void setLclInstrm​(LocalInstrumentSDD value)

Sets the value of the lclInstrm property.

Parameters:
  `value` - allowed object is `LocalInstrumentSDD`

#### getSeqTp

    public SequenceType1Code getSeqTp()

Gets the value of the seqTp property.

Returns:
  possible object is `SequenceType1Code`

#### setSeqTp

    public void setSeqTp​(SequenceType1Code value)

Sets the value of the seqTp property.

Parameters:
  `value` - allowed object is `SequenceType1Code`

#### getCtgyPurp

    public PaymentCategoryPurpose1Code getCtgyPurp()

Gets the value of the ctgyPurp property.

Returns:
  possible object is `PaymentCategoryPurpose1Code`

#### setCtgyPurp

    public void setCtgyPurp​(PaymentCategoryPurpose1Code value)

Sets the value of the ctgyPurp property.

Parameters:
  `value` - allowed object is `PaymentCategoryPurpose1Code`